# encoding: utf-8

u'''Rainbow Lotus Policy — discussion tests'''

from rainbowlotus.policy.testing import RAINBOWLOTUS_POLICY_INTEGRATION_TESTING
from zope.component import getUtility
from plone.registry.interfaces import IRegistry
from plone.app.discussion.interfaces import IDiscussionSettings
import unittest2 as unittest

class DiscussionTest(unittest.TestCase):
    layer = RAINBOWLOTUS_POLICY_INTEGRATION_TESTING
    def setUp(self):
        super(DiscussionTest, self).setUp()
        self.portal = self.layer['portal']
        registry = getUtility(IRegistry)
        self.settings = registry.forInterface(IDiscussionSettings)
    def testDiscussionMode(self):
        '''Ensure discussion is enabled'''
        self.assertTrue(self.settings.globally_enabled, "Disussion isn't globally enabled")
    def testDiscussionSettings(self):
        self.assertTrue(self.settings.anonymous_comments, 'Anonymous comments are off; should be on')
        self.assertTrue(not self.settings.moderation_enabled, 'Moderation is on; should be off')
        self.assertEquals('text/plain', self.settings.text_transform, 'Text transformation should be "text/plain"')
        self.assertEquals('captcha', self.settings.captcha, 'Captcha not set to "catpcha"')
        self.assertTrue(not self.settings.show_commenter_image, 'Commenter image should be off')
        self.assertTrue(not self.settings.moderator_notification_enabled, 'Moderator notification should be off')
        self.assertTrue(not self.settings.user_notification_enabled, 'User notification should be off')
        self.assertTrue(self.settings.anonymous_email_enabled, 'Anonymous email should be on')

def test_suite():
    return unittest.defaultTestLoader.loadTestsFromName(__name__)

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
