# encoding: utf-8

u'''Rainbow Lotus Policy — Tests of portlets.'''

from rainbowlotus.policy.testing import RAINBOWLOTUS_POLICY_INTEGRATION_TESTING
from zope.component import getUtility, getMultiAdapter
from plone.portlets.interfaces import IPortletManager, IPortletAssignmentMapping
import unittest2 as unittest

class PortletsTest(unittest.TestCase):
    u'''Portlets test: tests configuration of portlets for Rainbow Lotus sites.'''
    layer = RAINBOWLOTUS_POLICY_INTEGRATION_TESTING
    def setUp(self):
        super(PortletsTest, self).setUp()
        self.portal = self.layer['portal']
    def testRightPortlets(self):
        u'''Ensure there are no portlets in the right-hand portlets column.'''
        right = getUtility(IPortletManager, u'plone.rightcolumn')
        mgr = getMultiAdapter((self.portal, right), IPortletAssignmentMapping)
        self.assertEquals(0, len(mgr), u'Expected no portlets in right column')
    def testLeftPortlets(self):
        u'''Make certain our expected portlets are in the left-hand portlets column.'''
        left = getUtility(IPortletManager, u'plone.leftcolumn')
        mgr = getMultiAdapter((self.portal, left), IPortletAssignmentMapping)
        self.assertEquals(5, len(mgr), u'Expected 5 portlets in left column, but got %d' % len(mgr))
        portlets = mgr.keys()
        self.assertEquals(u'review-list', portlets[0])
        self.assertEquals(u'navigation', portlets[1])
        self.assertEquals(u'quick-links', portlets[2])
        self.assertEquals(u'wow-insider', portlets[3])
        self.assertEquals(u'wowhead', portlets[4])

def test_suite():
    return unittest.defaultTestLoader.loadTestsFromName(__name__)

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
