# encoding: utf-8

u'''Rainbow Lotus Policy — setup tests'''

from rainbowlotus.policy.testing import RAINBOWLOTUS_POLICY_INTEGRATION_TESTING
from Products.CMFCore.utils import getToolByName
from Products.CMFPlone.utils import safe_hasattr
import unittest2 as unittest

class SetupTest(unittest.TestCase):
    layer = RAINBOWLOTUS_POLICY_INTEGRATION_TESTING
    def setUp(self):
        super(SetupTest, self).setUp()
        self.portal = self.layer['portal']
    def testPortalTitle(self):
        '''Check that site's title is what we want.'''
        self.assertEquals(u'Rainbow Lotus', self.portal.getProperty('title'))
    def testDependencies(self):
        '''Make sure our dependent packages get installed.'''
        try:
            import z3c.jbot 
            assert z3c.jbot # silence lint
            import plone.formwidget.captcha
            assert plone.formwidget.captcha # silence lint
        except ImportError:
            self.fail('z3c.jbot not available, should be')
        skins = getToolByName(self.portal, 'portal_skins')
        self.failUnless(safe_hasattr(skins, 'PloneFormGen'), 'Missing PloneFormGen')
        qi = getToolByName(self.portal, 'portal_quickinstaller')
        self.assertTrue(qi.isProductInstalled('blacklotus.garnish'))

def test_suite():
    return unittest.defaultTestLoader.loadTestsFromName(__name__)

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
